package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PayrollLineupDto extends BaseDto {
	
	private static final long	serialVersionUID	= -5358594615327412720L;
	
	// フィールド
	protected String			calcStatus			= "";						// データステータス
	protected int				paymentTotal		= 0;
	protected String			kCode				= "";						// 社員コード
	protected Date				calcDate;										// 計算年月
	protected Date				payday;										// 計算年月
	protected String			kName				= "";						// 社員氏名
	protected String			stationCode			= "";						// 所属コード
	protected String			positionCode		= "";						// 職位コード
																				
	
	/**
	 * コンストラクタ
	 */
	public PayrollLineupDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getCalcDate() {
		return getDateField(calcDate);
	} // 計算年月
	
	public Date getPayday() {
		return getDateField(payday);
	} // 計算年月
	
	public String getKName() {
		return kName;
	} // 社員氏名
	
	public String getStationCode() {
		return stationCode;
	} // 所属コード
	
	public String getPositionCode() {
		return positionCode;
	} // 職位コード
	
	public int getPaymentTotal() {
		return paymentTotal;
	}
	
	public String getCalcStatus() {
		return calcStatus;
	} // データステータス
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	} // 計算年月
	
	public void setPayday(Date payday) {
		calcDate = getDateField(payday);
	} // 支給日
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員氏名
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 職位コード
	
	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	} // 職位コード
	
	public void setPaymentTotal(int paymentTotal) {
		this.paymentTotal = paymentTotal;
	}
	
	public void setCalcStatus(String calcStatus) {
		this.calcStatus = calcStatus;
	} // データステータス
	
}
